%define debug_package	%{nil}
%define	Objects_Home	/fmem-kernel-objects
%define	DIST		%(echo %{dist} | sed 's/\.//')
%define BaseName	fmem-kernel-modules
%define ARCH		%(uname -m)
%define _binaries_in_noarch_packages_terminate_build 0

Summary:	This package contains all of the kernel objects for all of the kernels for CentOS 7 x86_64 for FMEM

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		%{BaseName}-%{DIST}-%{ARCH}
Version:	1.6
%define	RELMAJ 1
%define RELMIN 93
Release:	%{RELMAJ}.%{RELMIN}

License:	GPL

Group:		Applications/Forensics Tools
URL:		http://hysteria.sk/~niekt0/fmem/
Source:		%{BaseName}-%{version}-%{RELMAJ}.tgz
Patch1:		%{BaseName}-%{version}-%{RELMAJ}-patch-001

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildArch:	noarch

%description
This package provides kernel objects for CentOS 7 x86_64-based systems.

%prep
%setup -T -c
%patch1 -p1

%build

%install
%{__install} -d %{buildroot}%{_datadir}/%{BaseName}-%{version}
cp -rp %{Objects_Home}/*%{DIST}.*%{ARCH}* %{buildroot}%{_datadir}/%{BaseName}-%{version}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%attr(744, root, root)	%{_datadir}/%{BaseName}-%{version}/*/*.ko

%changelog
* Wed Oct 25 2023 Lawrence R. Rogers <lrr@cert.org> 1.6-93
* Release 1.6-93
	Kernel modules added for the following kernels:
		3.10.0-1160.102.1

* Wed Oct 04 2023 Lawrence R. Rogers <lrr@cert.org> 1.6-92
* Release 1.6-92
	Kernel modules added for the following kernels:
		3.10.0-1160.99.1

* Wed Aug 16 2023 Lawrence R. Rogers <lrr@cert.org> 1.6-91
* Release 1.6-91
	Kernel modules added for the following kernels:
		3.10.0-1160.95.1

* Wed Jun 28 2023 Lawrence R. Rogers <lrr@cert.org> 1.6-90
* Release 1.6-90
	Kernel modules added for the following kernels:
		3.10.0-1160.92.1

* Mon May 29 2023 Lawrence R. Rogers <lrr@cert.org> 1.6-89
* Release 1.6-89
	Kernel modules added for the following kernels:
		3.10.0-1160.90.1
		3.10.0-1160.88.1
		3.10.0-1160.83.1
		3.10.0-1160.81.1
		3.10.0-1160.80.1

* Wed Aug 17 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-88
* Release 1.6-88
	Kernel modules added for the following kernels:
		3.10.0-1160.76.1

* Sat Jul  9 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-87
* Release 1.6-87
	Kernel modules added for the following kernels:
		3.10.0-1160.71.1

* Wed May 25 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-86
* Release 1.6-86
	Kernel modules added for the following kernels:
		3.10.0-1160.66.1

* Wed Apr 13 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-85
* Release 1.6-85
	Kernel modules added for the following kernels:
		3.10.0-1160.62.1

* Wed Mar 23 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-84
* Release 1.6-84
	Kernel modules added for the following kernels:
		3.10.0-1160.59.1

* Wed Jan 19 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-83
* Release 1.6-83
	Kernel modules added for the following kernels:
		3.10.0-1160.53.1

* Fri Dec 10 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-82
* Release 1.6-82
	Kernel modules added for the following kernels:
		3.10.0-1160.49.1

* Wed Oct 20 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-81
* Release 1.6-81
	Kernel modules added for the following kernels:
		3.10.0-1160.45.1

* Wed Sep 15 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-80
* Release 1.6-80
	Kernel modules added for the following kernels:
		3.10.0-1160.42.2

* Wed Sep  1 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-79
* Release 1.6-79
	Kernel modules added for the following kernels:
		3.10.0-1160.41.1

* Wed Jul 28 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-78
* Release 1.6-78
	Kernel modules added for the following kernels:
		3.10.0-1160.36.2

* Wed Jun 16 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-77
* Release 1.6-77
	Kernel modules added for the following kernels:
		3.10.0-1160.31.1

* Sun May  2 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-76
* Release 1.6-76
	Kernel modules added for the following kernels:
		3.10.0-1160.25.1

* Thu Apr 15 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-75
* Release 1.6-75
	Kernel modules added for the following kernels:
		3.10.0-1160.24.1

* Thu Mar 18 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-74
* Release 1.6-74
	Kernel modules added for the following kernels:
		3.10.0-1160.21.1

* Thu Feb  4 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-73
* Release 1.6-73
	Kernel modules added for the following kernels:
		3.10.0-1160.15.2

* Wed Dec 23 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-72
* Release 1.6-72
	Kernel modules added for the following kernels:
		3.10.0-1160.11.1

* Sun Nov 22 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-71
* Release 1.6-71
	Kernel modules added for the following kernels:
		3.10.0-1160.6.1

* Fri Nov 13 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-70
* Release 1.6-70
	Kernel modules added for the following kernels:
		3.10.0-1160.2.2
		3.10.0-1160.2.1
		3.10.0-1160

* Fri Aug 28 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-69
* Release 1.6-69
	Kernel modules added for the following kernels:
		3.10.0-1127.19.1
		3.10.0-1127.18.2

* Fri Jun 26 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-68
* Release 1.6-68
	Kernel modules added for the following kernels:
		3.10.0-1127.13.1

* Fri Jun  5 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-67
* Release 1.6-67
	Kernel modules added for the following kernels:
		3.10.0-1127.10.1

* Fri May 22 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-66
* Release 1.6-66
	Kernel modules added for the following kernels:
		3.10.0-1127.8.2

* Fri May  1 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-65
* Release 1.6-65
	Kernel modules added for the following kernels:
		3.10.0-1127

* Fri Mar 20 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-64
* Release 1.6-64
	Kernel modules added for the following kernels:
		3.10.0-1062.18.1

* Fri Feb 14 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-63
* Release 1.6-63
	Kernel modules added for the following kernels:
		3.10.0-1062.12.1

* Fri Dec 20 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-62
* Release 1.6-62
	Due to configuration errors, kernel modules added for the following kernels:
		3.10.0-1062.9.1
		3.10.0-1062.7.1
		3.10.0-1062.4.2

* Thu Dec 12 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-61
* Release 1.6-61
	Kernel modules added for the following kernels:
		3.10.0-1062.9.1

* Fri Dec  6 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-60
* Release 1.6-60
	Kernel modules added for the following kernels:
		3.10.0-1062.7.1

* Fri Nov 15 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-59
* Release 1.6-59
	Kernel modules added for the following kernels:
		3.10.0-1062.4.3
		3.10.0-1062.4.2

* Fri Nov  1 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-58
* Release 1.6-58
	Kernel modules added for the following kernels:
		3.10.0-1062.4.1

* Mon Oct 21 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-57
* Release 1.6-57
	No changes - version number synchronization with LiME version.

* Fri Oct  4 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-56
* Release 1.6-56
	Kernel modules added for the following kernels:
		3.10.0-1062.1.2

* Fri Sep 20 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-55
* Release 1.6-55
	Kernel modules added for the following kernels:
		3.10.0-1062.1.1
		3.10.0-1062

* Fri Aug  2 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-54
* Release 1.6-54
	Kernel modules added for the following kernels:
		3.10.0-957.27.2

* Fri Jun 21 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-53
* Release 1.6-53
	Kernel modules added for the following kernels:
		3.10.0-957.21.3

* Fri Jun 14 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-52
* Release 1.6-52
	Kernel modules added for the following kernels:
		3.10.0-957.21.2

* Fri May 17 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-51
* Release 1.6-51
	Kernel modules added for the following kernels:
		3.10.0-957.12.2

* Fri May  3 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-50
* Release 1.6-50
	Kernel modules added for the following kernels:
		3.10.0-957.12.1

* Fri Mar 29 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-49
* Release 1.6-49
	Kernel modules added for the following kernels:
		3.10.0-957.10.1

* Fri Feb  8 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-48
* Release 1.6-48
	Kernel modules added for the following kernels:
		3.10.0-957.5.1

* Fri Dec  7 2018 Lawrence R. Rogers <lrr@cert.org> 1.6-47
* Release 1.6-47
	Kernel modules added for the following kernels:
		3.10.0-957.1.3
		3.10.0-957

* Fri Oct  5 2018 Lawrence R. Rogers <lrr@cert.org> 1.6-46
* Release 1.6-46
	Kernel modules added for the following kernels:
		3.10.0-862.14.4

* Fri Aug 17 2018 Lawrence R. Rogers <lrr@cert.org> 1.6-45
* Release 1.6-45
	Kernel modules added for the following kernels:
		3.10.0-862.11.6

* Fri Jul 20 2018 Lawrence R. Rogers <lrr@cert.org> 1.6-44
* Release 1.6-44
	Kernel modules added for the following kernels:
		3.10.0-862.9.1
		3.10.0-862.6.3

* Fri Jun 22 2018 Lawrence R. Rogers <lrr@cert.org> 1.6-43
* Release 1.6-43
	Kernel modules added for the following kernels:
		3.10.0-862.3.3

* Fri May 25 2018 Lawrence R. Rogers <lrr@cert.org> 1.6-42
* Release 1.6-42
	Kernel modules added for the following kernels:
		3.10.0-862.3.2

* Fri May 18 2018 Lawrence R. Rogers <lrr@cert.org> 1.6-41
* Release 1.6-41
	Kernel modules added for the following kernels:
		3.10.0-862.2.3
		3.10.0-862

* Fri Mar  9 2018 Lawrence R. Rogers <lrr@cert.org> 1.6-40
* Release 1.6-40
	Kernel modules added for the following kernels:
		3.10.0-693.21.1

* Fri Jan 26 2018 Lawrence R. Rogers <lrr@cert.org> 1.6-39
* Release 1.6-39
	Kernel modules added for the following kernels:
		3.10.0-693.17.1

* Fri Jan  5 2018 Lawrence R. Rogers <lrr@cert.org> 1.6-38
* Release 1.6-38
	Kernel modules added for the following kernels:
		3.10.0-693.11.6

* Wed Dec  6 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-37
* Release 1.6-37
	Kernel modules added for the following kernels:
		3.10.0-693.11.1

* Tue Oct 24 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-36
* Release 1.6-36
	Kernel modules added for the following kernels:
		3.10.0-693.5.2

* Wed Sep 13 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-35
* Release 1.6-35
	Kernel modules added for the following kernels:
		3.10.0-693.2.2
		3.10.0-693.2.1
		3.10.0-693.1.1
		3.10.0-693

* Wed Jul  5 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-34
* Release 1.6-34
	Kernel modules added for the following kernels:
		3.10.0-514.26.2

* Fri Jun 30 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-33
* Release 1.6-33
	Kernel modules added for the following kernels:
		3.10.0-514.26.1

* Wed Jun 21 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-32
* Release 1.6-32
	Kernel modules added for the following kernels:
		3.10.0-514.21.2

* Fri May 26 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-31
* Release 1.6-31
	Kernel modules added for the following kernels:
		3.10.0-514.21.1

* Mon Apr 17 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-30
* Release 1.6-30
	Kernel modules added for the following kernels:
		3.10.0-514.10.2
		3.10.0-514.16.1

* Mon Jan 23 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-29
* Release 1.6-29
	Kernel modules added for the following kernels:
		3.10.0-514.6.1

* Tue Dec 27 2016 Lawrence R. Rogers <lrr@cert.org> 1.6-28
* Release 1.6-28
	Kernel modules added for the following kernels:
		3.10.0-514.2.2
		3.10.0-514

* Wed Oct 26 2016 Lawrence R. Rogers <lrr@cert.org> 1.6-27
* Release 1.6-27
	Kernel modules added for the following kernels:
		3.10.0-327.36.3

* Wed Oct 12 2016 Lawrence R. Rogers <lrr@cert.org> 1.6-26
* Release 1.6-26
	Kernel modules added for the following kernels:
		3.10.0-327.36.2

* Wed Sep 21 2016 Lawrence R. Rogers <lrr@cert.org> 1.6-25
* Release 1.6-25
	Kernel modules added for the following kernels:
		3.10.0-327.36.1

* Mon Aug 22 2016 Lawrence R. Rogers <lrr@cert.org> 1.6-24
* Release 1.6-24
	Kernel modules added for the following kernels:
		3.10.0-327.28.3

* Thu Aug  4 2016 Lawrence R. Rogers <lrr@cert.org> 1.6-23
* Release 1.6-23
	Kernel modules added for the following kernels:
		3.10.0-327.28.2

* Fri Jun 24 2016 Lawrence R. Rogers <lrr@cert.org> 1.6-22
* Release 1.6-22
	Kernel modules added for the following kernels:
		3.10.0-327.22.2

* Sun Mar 13 2016 Lawrence R. Rogers <lrr@cert.org> 1.6-21
* Release 1.6-21
	Kernel modules added for the following kernels:
		3.10.0-327.18.2

* Tue Mar  8 2016 Lawrence R. Rogers <lrr@cert.org> 1.6-20
* Release 1.6-20
	Kernel modules added for the following kernels:
		3.10.0-327.13.1

* Fri Feb 19 2016 Lawrence R. Rogers <lrr@cert.org> 1.6-19
* Release 1.6-19
	Kernel modules added for the following kernels:
		3.10.0-327.10.1

* Fri Feb  5 2016 Lawrence R. Rogers <lrr@cert.org> 1.6-18
* Release 1.6-18
	Kernel modules added for the following kernels:
		3.10.0-327.4.5

* Fri Jan  8 2016 Lawrence R. Rogers <lrr@cert.org> 1.6-17
* Release 1.6-17
	Kernel modules added for the following kernels:
		3.10.0-327.4.4

* Sun Dec 13 2015 Lawrence R. Rogers <lrr@cert.org> 1.6-16
* Release 1.6-16
	Kernel modules added for the following kernels:
		3.10.0-327.3.1
		3.10.0-327

* Wed Nov  4 2015 Lawrence R. Rogers <lrr@cert.org> 1.6-15
* Release 1.6-15
	Kernel modules added for the following kernels:
		3.10.0-229.20.1

* Thu Sep 17 2015 Lawrence R. Rogers <lrr@cert.org> 1.6-14
* Release 1.6-14
	Kernel modules added for the following kernels:
		3.10.0-229.14.1

* Thu Aug  6 2015 Lawrence R. Rogers <lrr@cert.org> 1.6-13
* Release 1.6-13
	Kernel modules added for the following kernels:
		3.10.0-229.11.1

* Thu May 14 2015 Lawrence R. Rogers <lrr@cert.org> 1.6-12
* Release 1.6-12
	Kernel modules added for the following kernels:
		3.10.0-229.7.2

* Thu May 14 2015 Lawrence R. Rogers <lrr@cert.org> 1.6-11
* Release 1.6-11
	Kernel modules added for the following kernels:
		3.10.0-229.4.2

* Wed Apr  1 2015 Lawrence R. Rogers <lrr@cert.org> 1.6-10
* Release 1.6-10
	Kernel modules added for the following kernels:
		3.10.0-229.1.2
		3.10.0-229

* Fri Jan 30 2015 Lawrence R. Rogers <lrr@cert.org> 1.6-9
* Release 1.6-9
	Kernel modules added for the following kernels:
		3.10.0-123.20.1

* Sat Dec 20 2014 Lawrence R. Rogers <lrr@cert.org> 1.6-8
* Release 1.6-8
	Kernel modules added for the following kernels:
		3.10.0-123.13.2

* Thu Dec 11 2014 Lawrence R. Rogers <lrr@cert.org> 1.6-7
* Release 1.6-7
	Kernel modules added for the following kernels:
		3.10.0-123.13.1

* Tue Dec  9 2014 Lawrence R. Rogers <lrr@cert.org> 1.6-6
* Release 1.6-6
	Keeping in sync with LiME release numbering.

* Fri Nov  7 2014 Lawrence R. Rogers <lrr@cert.org> 1.6-5
* Release 1.6-5
	Kernel modules added for the following kernels:
		3.10.0-123.9.3

* Wed Oct 29 2014 Lawrence R. Rogers <lrr@cert.org> 1.6-4
* Release 1.6-4
	Kernel modules added for the following kernels:
		3.10.0-123.9.2

* Wed Sep 24 2014 Lawrence R. Rogers <lrr@cert.org> 1.6-3
* Release 1.6-3
	Kernel modules added for the following kernels:
		3.10.0-123.8.1
		3.10.0-123.6.3

* Mon Jul 28 2014 Lawrence R. Rogers <lrr@cert.org> 1.6-2
* Release 1.6-2
	Kernel modules added for the following kernels:
		3.10.0-123.4.4

* Mon Jul 14 2014 Lawrence R. Rogers <lrr@cert.org> 1.6-1
* Release 1.6-1
	Kernel modules added for the following kernels:
		3.10.0-123.4.2
		3.10.0-123.1.2
		3.10.0-123
